<div class="pt-20 flex justify-center items-center transition-all delay-500" [ngClass]="correctCredential ? 'opacity-0 pointer-events-none' : 'opacity-100'" *ngIf="!invisibleDiv">
  <div class="min-h-full flex items-center justify-center py-12 px-4 sm:px-6 lg:px-8 w-full" [ngClass]="messageTitle == 'Accesso in corso...' ? 'pointer-events-none' : ''">
    <div class="max-w-md w-full space-y-8">
      <div>
        <svg class="mx-auto h-12 w-auto" xmlns="http://www.w3.org/2000/svg" fill="#3B83F6" viewBox="0 0 24 24"
          aria-hidden="true">
          <path stroke-width="1"
            d="M12 1Q14.075 1 15.538 2.462Q17 3.925 17 6V8H18Q18.825 8 19.413 8.587Q20 9.175 20 10V20Q20 20.825 19.413 21.413Q18.825 22 18 22H6Q5.175 22 4.588 21.413Q4 20.825 4 20V10Q4 9.175 4.588 8.587Q5.175 8 6 8H7V6Q7 3.925 8.463 2.462Q9.925 1 12 1ZM12 3Q10.75 3 9.875 3.875Q9 4.75 9 6V8H15V6Q15 4.75 14.125 3.875Q13.25 3 12 3ZM6 20H18Q18 20 18 20Q18 20 18 20V10Q18 10 18 10Q18 10 18 10H6Q6 10 6 10Q6 10 6 10V20Q6 20 6 20Q6 20 6 20ZM12 13Q11.175 13 10.588 13.587Q10 14.175 10 15Q10 15.825 10.588 16.413Q11.175 17 12 17Q12.825 17 13.413 16.413Q14 15.825 14 15Q14 14.175 13.413 13.587Q12.825 13 12 13ZM6 10Q6 10 6 10Q6 10 6 10V20Q6 20 6 20Q6 20 6 20Q6 20 6 20Q6 20 6 20V10Q6 10 6 10Q6 10 6 10Z" />
        </svg>
        <h2 class="mt-6 text-center text-3xl font-semibold transition-all"
          [ngClass]="errorCredential ? 'text-red-500' : correctCredential ? 'text-green-500':'text-blue-500'">{{ messageTitle }}</h2>
      </div>
      <div class="mt-8 space-y-6">
        <div class="flex justify-center items-center">
          <p class="rounded-lg justify-center font-medium text-white w-full">
            <input type="email" placeholder="E-mail" required
              class="w-full text-center px-2 border-none rounded-lg leading-10 focus:outline-none text-white bg-slate-200 dark:bg-slate-700"
              #emailSignIn (keydown.enter)="!errorCredential ? onSignIn(emailSignIn.value, passwordSignIn.value) : ''">
          </p>
        </div>
        <div class="flex justify-center items-center">
          <p class="rounded-lg justify-center font-medium text-white w-full">
            <input type="password" placeholder="Password" required
              class="w-full text-center px-2 border-none rounded-lg leading-10 focus:outline-none text-white bg-slate-200 dark:bg-slate-700"
              #passwordSignIn
              (keydown.enter)="!errorCredential ? onSignIn(emailSignIn.value, passwordSignIn.value) : ''">
          </p>
        </div>

        <div class="flex items-center justify-end">

          <div class="text-sm text-gray-700 dark:text-white">Non hai un account?
            <a routerLink="/signup" class="font-medium text-blue-700 hover:text-blue-500"> Registrati </a>
          </div>
        </div>

        <div class="flex items-center justify-center"
          (click)="!errorCredential ? onSignIn(emailSignIn.value, passwordSignIn.value) : ''">
          <button type="submit"
            class="group relative w-full sm:w-1/2 flex items-center justify-center p-4 border border-transparent text-sm font-medium rounded-md text-white focus:outline-none focus:ring-2 focus:ring-offset-2 transition-colors"
            [ngClass]="errorCredential ? 'bg-red-700 hover:bg-red-800 focus:ring-red-500': correctCredential ? 'bg-green-700 hover:bg-green-800 focus:ring-green-500':'bg-blue-700 hover:bg-blue-800 focus:ring-blue-500'">
            <span *ngIf="!errorCredential; else error">Accedi</span>
            <ng-template #error>
              <svg xmlns="http://www.w3.org/2000/svg" height="20px" viewBox="0 0 24 24" width="20px" fill="#FFFFFF">
                <path d="M6.4 19 5 17.6 10.6 12 5 6.4 6.4 5 12 10.6 17.6 5 19 6.4 13.4 12 19 17.6 17.6 19 12 13.4Z" />
              </svg>
            </ng-template>
          </button>
        </div>
        <div>
          <p class="mt-2 text-center text-sm text-gray-600">
            oppure
          </p>
        </div>
        <div class="flex items-center justify-center" (click)="!errorCredential ? onSignInWithGoogle() : ''">
          <button type="submit"
            class="group relative w-full sm:w-1/2 flex items-center justify-center p-4 border border-transparent text-sm font-medium rounded-md text-white bg-blue-800 hover:bg-blue-900 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500">
            <span class="hidden absolute left-0 inset-y-0 customSM:flex items-center pl-3">
              <svg class="h-5 w-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24">
                <g transform="matrix(1, 0, 0, 1, 27.009001, -39.238998)">
                  <path fill="#4285F4"
                    d="M -3.264 51.509 C -3.264 50.719 -3.334 49.969 -3.454 49.239 L -14.754 49.239 L -14.754 53.749 L -8.284 53.749 C -8.574 55.229 -9.424 56.479 -10.684 57.329 L -10.684 60.329 L -6.824 60.329 C -4.564 58.239 -3.264 55.159 -3.264 51.509 Z" />
                  <path fill="#34A853"
                    d="M -14.754 63.239 C -11.514 63.239 -8.804 62.159 -6.824 60.329 L -10.684 57.329 C -11.764 58.049 -13.134 58.489 -14.754 58.489 C -17.884 58.489 -20.534 56.379 -21.484 53.529 L -25.464 53.529 L -25.464 56.619 C -23.494 60.539 -19.444 63.239 -14.754 63.239 Z" />
                  <path fill="#FBBC05"
                    d="M -21.484 53.529 C -21.734 52.809 -21.864 52.039 -21.864 51.239 C -21.864 50.439 -21.724 49.669 -21.484 48.949 L -21.484 45.859 L -25.464 45.859 C -26.284 47.479 -26.754 49.299 -26.754 51.239 C -26.754 53.179 -26.284 54.999 -25.464 56.619 L -21.484 53.529 Z" />
                  <path fill="#EA4335"
                    d="M -14.754 43.989 C -12.984 43.989 -11.404 44.599 -10.154 45.789 L -6.734 42.369 C -8.804 40.429 -11.514 39.239 -14.754 39.239 C -19.444 39.239 -23.494 41.939 -25.464 45.859 L -21.484 48.949 C -20.534 46.099 -17.884 43.989 -14.754 43.989 Z" />
                </g>
              </svg>
            </span>
            Accedi con Google
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
<a class="flex items-center justify-center">
  <div class="hidden fixed w-40 h-40 bottom-5 right-5 md:flex items-center justify-center blur-sm">
      <svg xmlns="http://www.w3.org/2000/svg" height="160px" viewBox="0 0 24 24" width="160px" fill="#D4D4D4" [ngClass]="messageTitle == 'Accesso in corso...' ? 'animate-spin' : ''">
        <path stroke-width="1" d="M19 3h-1V1h-2v2H8V1H6v2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V9h14v10zM5 7V5h14v2H5zm2 4h10v2H7zm0 4h7v2H7z" *ngIf="messageTitle == 'Accesso'" />
        <path stroke-width="1" d="M12 20Q8.65 20 6.325 17.675Q4 15.35 4 12Q4 8.65 6.325 6.325Q8.65 4 12 4Q13.725 4 15.3 4.713Q16.875 5.425 18 6.75V4H20V11H13V9H17.2Q16.4 7.6 15.013 6.8Q13.625 6 12 6Q9.5 6 7.75 7.75Q6 9.5 6 12Q6 14.5 7.75 16.25Q9.5 18 12 18Q13.925 18 15.475 16.9Q17.025 15.8 17.65 14H19.75Q19.05 16.65 16.9 18.325Q14.75 20 12 20Z" *ngIf="messageTitle == 'Accesso in corso...'" />
        <path stroke-width="1" d="M6.4 19 5 17.6 10.6 12 5 6.4 6.4 5 12 10.6 17.6 5 19 6.4 13.4 12 19 17.6 17.6 19 12 13.4Z" *ngIf="messageTitle != 'Accesso' && messageTitle != 'Accesso in corso...' && messageTitle != 'Utente connesso'" />
        <path stroke-width="1" d="M9.55 18 3.85 12.3 5.275 10.875 9.55 15.15 18.725 5.975 20.15 7.4Z" *ngIf="messageTitle == 'Utente connesso'" />
      </svg>
  </div>
</a>
<app-logged [userNews]="firebaseService.userInfo" [isVisible]="invisibleDiv" (evLogout)="logOut()"></app-logged>